<h1 class="title-crud">Listado de usuarios</h1>

<button (click)="nuevo()" mat-raised-button color="primary">Nuevo</button>
<hr>

<table mat-table [dataSource]="dataSource" class="mat-elevation-z8">

    <ng-container matColumnDef="id">
      <th mat-header-cell *matHeaderCellDef> Id </th>
      <td mat-cell *matCellDef="let element"> {{element.id}} </td>
    </ng-container>
  
    <!-- Name Column -->
    <ng-container matColumnDef="email">
      <th mat-header-cell *matHeaderCellDef> Email </th>
      <td mat-cell *matCellDef="let element"> {{element.email}} </td>
    </ng-container>
  
    <!-- Weight Column -->
    <ng-container matColumnDef="first_name">
      <th mat-header-cell *matHeaderCellDef> Nombre </th>
      <td mat-cell *matCellDef="let element"> {{element.first_name}} </td>
    </ng-container>
  
    <!-- Symbol Column -->
    <ng-container matColumnDef="last_name">
      <th mat-header-cell *matHeaderCellDef> Apellido </th>
      <td mat-cell *matCellDef="let element"> {{element.last_name}} </td>
    </ng-container>

    <ng-container matColumnDef="actions">
        <th mat-header-cell *matHeaderCellDef> Acciones </th>
        <td mat-cell *matCellDef="let element"> 
            <button mat-raised-button color="primary">Editar</button>&nbsp;
            <button (click)="eliminar(element.id)" mat-raised-button color="warn">Eliminar</button>    
        </td>
    </ng-container>
  
    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
  </table>
